<?php

/**

 * Search Form template

 *

 * @package CHARITYX

 * @author ThemeXriver

 * @version 1.0

 */

if ( ! defined( 'ABSPATH' ) ) {

	die( 'Restricted' );

}

?>



<!-- Search Popup -->

<div class="search-popup">

    <div class="color-layer"></div>

    <button class="close-search"><span class="flaticon-cancel-1"></span></button>    

    <form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">

        <div class="form-group">

            <input type="search" name="s" value="<?php echo get_search_query(); ?>" placeholder="<?php echo esc_attr__( 'Search Here', 'chartio' ); ?>" required="">

            <button class="fa fa-solid fa-magnifying-glass fa-fw" type="submit"></button>

        </div>

    </form>

</div>

<!-- End Search Popup -->

