(function($) {
	
	"use strict";
	var theme_carousel_js = function($scope, $) {
		
		if($('.testimonial__active').length){
			
			//Thumb Slider
			var sliders_attr = $('.tx-testi-mount').data('slider');
			var Testimonial_nav = new Swiper(".testimonial__nav", {
				loop: sliders_attr.loop,
				spaceBetween: 23,
				speed: 500,
				slidesPerView: 3,
				centeredSlides: true,
				direction: "vertical",
				autoplay: {
					enabled: true,
					delay: 6000
				},
				breakpoints: {
					'1400': {
						slidesPerView: 3,
					},
					'1200': {
						slidesPerView: 3,
					},
					'992': {
						slidesPerView: 3,
					},
					'991': {
						slidesPerView: 3,
						direction: "horizontal",
					},
					'768': {
						slidesPerView: 3,
						direction: "horizontal",
					},
					'577': {
						slidesPerView: 3,
						direction: "horizontal",
					},
					'0': {
						slidesPerView: 3,
						direction: "horizontal",
					},
				},
			});
			
			//Content Slider
			var swiper2 = new Swiper(".testimonial__active", {
				loop: sliders_attr.loop,
				spaceBetween: sliders_attr.spacebetween,
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				//effect: 'fade',
				autoplay: {
					enabled: sliders_attr.autoplayenable,
					delay: sliders_attr.autoplaydelay
				},
				slidesPerView: sliders_attr.slidesperview,
				thumbs: {
					swiper: Testimonial_nav,
				},
			});
		}
		
		// Testimonial Slider
		if($('.testimonial-carousel').length){
			var slider_attrs = $('.testimonial-carousel').data('slider');
			var bannersSlider = new Swiper('.testimonial-carousel', {
				slidesPerView: slider_attrs.slidesperview,
				spaceBetween: slider_attrs.spacebetween,
				loop: slider_attrs.loop,
				autoplay: {
					enabled: slider_attrs.autoplayenable,
					delay: slider_attrs.autoplaydelay,
				},
				// Navigation arrows
				navigation: {
					nextEl: '.testimonial-two-button-next',
					prevEl: '.testimonial-two-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				speed: slider_attrs.speed,			
				breakpoints: {
					'1600': {
						slidesPerView: slider_attrs.item_show,
					},
					'1200': {
						slidesPerView: 2,
					},
					'992': {
						slidesPerView: 2,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		// Testimonial Slider Two
		if ($(".testimonial-carousel_two").length > 0) {
			var slider_attr = $('#yt-testi-slider-v3').data('slider');
			var bannerSlider = new Swiper('.testimonial-carousel_two', {
				slidesPerView: slider_attr.slidesperview,
				spaceBetween: slider_attr.spacebetween,
				loop: slider_attr.loop,
				autoplay: {
					enabled: slider_attr.autoplayenable,
					delay: slider_attr.autoplaydelay,
				},
				// Navigation arrows
				navigation: {
					nextEl: '.testimonial-three-button-next',
					prevEl: '.testimonial-three-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".testimonial-three_pagination",
					clickable: true,
				},				
				speed: slider_attr.speed,
				breakpoints: {
					'1600': {
						slidesPerView: slider_attr.item_show,
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		
	};
	
	$(window).on('elementor/frontend/init', function () {
            elementorFrontend.hooks.addAction('frontend/element_ready/chartio_testimonials.default', theme_carousel_js);
    });	

})(window.jQuery);