<?php

//
// Set a unique slug-like ID
$prefix = 'chartio_meta';

//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      => 'Chartio Setting',
	'icon'       => 'el el-cogs',
	'position'   => 'normal',
	'priority'   => 'core',
	'post_type' => array( 'page', 'post', 'team', 'product', 'campaign', 'tribe_events' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );

require CHARTIOPLUGIN_PLUGIN_PATH . '/inc/metaboxes/header.php';
require CHARTIOPLUGIN_PLUGIN_PATH . '/inc/metaboxes/banner.php';
require CHARTIOPLUGIN_PLUGIN_PATH . '/inc/metaboxes/sidebar.php';
require CHARTIOPLUGIN_PLUGIN_PATH . '/inc/metaboxes/footer.php';
