<?php
//
// Set a unique slug-like ID
$prefix = 'chartio_meta_projects';
//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Project Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'project' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );
//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'    => 'project_link',
			'type'  => 'text',
			'title' => esc_html__( 'External Link', 'chartio-plugin' ),
		),
	)
));