<?php

// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

	CSF::createWidget( 'yt_about_us', array(
	'title'       => 'YT About Us',
	'classname'   => 'yt-about-us',
	'description' => 'A description for widget example 1',
	'fields'      => array(
				array(
					'id'      => 'content',
					'type'    => 'textarea',
					'title'   => 'Textarea',
					'help'    => 'The help text of the field.',
				),				
				array(
					'id'      => 'footer_links_group',
					'type'    => 'group',
					'title'   => 'Group',
					'fields'    => array(
						array(
							'id'      => 'btns_title',
							'type'    => 'text',
							'title'   => esc_html__('Button Title', 'chartio'),
						),
						array(
							'id'	=> 'btns_link',
							'type'  => 'text',
							'title' => esc_html__('Button URL', 'chartio'),
						),
					
					)
				  ),
		
			)
		) 
	);

  //
  // Front-end display of widget example 1
  // Attention: This function named considering above widget base id.
  //
  if( ! function_exists( 'yt_about_us' ) ) {
    function yt_about_us( $args, $instance ) {

      echo $args['before_widget'];
	  ?>
      
        <?php if ( ! empty( $instance['content'] ) ) {?><div class="footer-text"><?php echo wp_kses( $instance['content'], true );?></div><?php };?>
        <?php 
			$footer_links_group = $instance['footer_links_group'];
			if (!empty( $footer_links_group )) : 
		?>
        <ul class="footer-nav">
        	<?php foreach( $footer_links_group as $btns ):?>
            <li><a href="<?php echo esc_url( $btns[ 'btns_link' ] );?>"><?php echo esc_attr( $btns['btns_title'] );?></a></li>
            <?php endforeach;?>
        </ul>
        <?php endif; ?>
	  
	<?php
	echo $args['after_widget'];

    }
  }

}