<?php

// Control core classes for avoid errors


//
// Create a widget 1
//
CSF::createWidget('yt_contact_us', array(
    'title'       => esc_html__('YT Contact Us', 'chartio-plugin'),
    'classname'   => 'yt-contact-us',
    'description' => esc_html__('Show contact us', 'chartio-plugins'),
    'fields'      => array(
        array(
            'id'      => 'footer_phone_no',
            'type'    => 'text',
            'title'   => esc_html__( 'Phone Number', 'chartio-plugin'),
        ),
        array(
            'id'      => 'email_address',
            'type'    => 'text',
            'title'   => esc_html__( 'Email Address', 'chartio-plugin'),
        ),
		array(
            'id'      => 'contact_address',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Address', 'chartio-plugin'),
        ),
		array(
            'id'      => 'show2',
            'type'    => 'switcher',
            'title'   => esc_html__( 'Show Social Icons', 'chartio-plugin'),
        ),	
		array(
			'id'      => 'social_links_group',
			'type'    => 'group',
			'title'   => 'Group',
			'fields'    => array(
				array(
					'id'      => 'social_title',
					'type'    => 'text',
					'title'   => esc_html__('Social Title', 'acrepair'),
				),
				array(
					'id'	=> 'social_icon',
					'type'  => 'icon',
					'title' => esc_html__('Social Icon', 'acrepair'),
				),
				array(
					'id'	=> 'social_link',
					'type'  => 'text',
					'title' => esc_html__('Social URL', 'acrepair'),
				),
			
			)
		  ),
	)
));

//
// Front-end display of widget example 1
// Attention: This function named considering above widget base id.
//
if ( ! function_exists('yt_contact_us') ) {
    function yt_contact_us($args, $instance) {

        include CHARTIOPLUGIN_PLUGIN_PATH . 'templates/widgets/contact-us.php';
    }
}
