<?php



// Control core classes for avoid errors





//

// Create a widget 1

//

CSF::createWidget('yt_subscription_form', array(

    'title'       => esc_html__('YT Newsletter Form', 'chartio-plugin'),

    'classname'   => 'yt-subscription-form',

    'description' => esc_html__('Show Newsletter form', 'chartio-plugin'),

    'fields'      => array(

        array(

			'id'          => 'layout',

			'type'        => 'select',

			'title'       => esc_html__( 'Choose Layout', 'chartio-plugin' ),

			'placeholder' => esc_html__( 'Select an layout style', 'chartio-plugin' ),

			'options'     => array(

				'one'  => 'Layout Style 01',

				'two'  => 'Layout Style 02',

			),

			'default'     => 'one'

		),

		array(

            'id'      => 'title',

            'type'    => 'text',

            'title'   => esc_html__( 'Title', 'chartio-plugin'),

        ),

		array(

            'id'      => 'mailchimp_form_url',

            'type'    => 'text',

            'title'   => esc_html__( 'Mailchimp Form URL', 'chartio-plugin'),

        ),

		array(

            'id'      => 'email',

            'type'    => 'text',

            'title'   => esc_html__( 'Email', 'chartio-plugin'),

			'dependency' => array(

				array( 'layout', '==', 'two' ),

			),

        ),

		array(

            'id'      => 'phone',

            'type'    => 'text',

            'title'   => esc_html__( 'Phone', 'chartio-plugin'),

			'dependency' => array(

				array( 'layout', '==', 'two' ),

			),

        ),

    )

));



//

// Front-end display of widget example 1

// Attention: This function named considering above widget base id.

//

if ( ! function_exists('yt_subscription_form') ) {

    function yt_subscription_form($args, $instance) {



        include CHARTIOPLUGIN_PLUGIN_PATH . 'templates/widgets/subscribe-form.php';

    }

}

