<?php

extract($args);

echo wp_kses_post($before_widget); ?>

<!-- Footer Column -->
<ul class="footer-list">
    <?php if ($instance['footer_phone_no']) { ?>
    <li><span class="icon fas fa-phone fa-fw"></span><?php echo wp_kses_post($instance['footer_phone_no']); ?></li>
    <?php } ?>
    <?php if ($instance['email_address']) { ?>
    <li><span class="icon fas fa-envelope fa-fw"></span><?php echo wp_kses_post($instance['email_address']); ?></li>
    <?php } ?>
    <?php if ($instance['contact_address']) { ?>
    <li><span class="icon fas fa-map-marker-alt fa-fw"></span><?php echo wp_kses_post($instance['contact_address']); ?></li>
    <?php } ?>
</ul>

<?php 
	$social_group = $instance['social_links_group'];
	if (!empty( $social_group )) : 
?>
<ul class="footer-socials">
    <?php foreach( $social_group as $social ):?>
    <li><a href="<?php echo esc_url( $social[ 'social_link' ] );?>"><i class="icon <?php echo esc_attr( $social['social_icon'] );?>"></i><?php echo esc_attr( $social['social_title'] );?></a></li>
    <?php endforeach;?>
</ul>	
<?php endif; ?>

<?php

echo wp_kses_post($after_widget);
