<?php

$query_string = 'posts_per_page=' . $instance['number'];
if ($instance['cat']) {
    $query_string .= '&cat=' . $instance['cat'];
}
$query = new WP_Query($query_string);

extract($args);
$title = apply_filters('widget_title', $instance['title']);

echo wp_kses_post($before_widget); ?>

<!-- Post Widget -->
<div class="post-widget">
    <?php echo wp_kses_post($before_title . $title . $after_title); ?>
    <?php if( $query->have_posts() ):?>
    <div class="widget-content">
        <?php 
            global $post;
            while( $query->have_posts() ): $query->the_post(); 
            $post_thumbnail_id = get_post_thumbnail_id($post->ID);
            $post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id);
        ?>
        <!-- Post -->
        <div class="post">
            <div class="thumb"><a href="<?php echo esc_url(get_the_permalink(get_the_id()));?>"><?php the_post_thumbnail('chartio_100x93'); ?></a></div>
            <ul class="post-thumb_meta">
                <li><span class="icon fas fa-user-circle fa-fw"></span><?php esc_html_e('by ', 'chartio'); ?> <?php the_author(); ?></li>
                <li><span class="icon far fa-calendar fa-fw"></span><?php echo get_the_date('d'); ?> <?php echo get_the_date('M'); ?>/<?php echo get_the_date('y'); ?></li>
            </ul>
            <h6><a href="<?php echo esc_url(get_the_permalink(get_the_id()));?>"><?php the_title(); ?></a></h6>
        </div>
        <?php endwhile; ?>
    </div>
    <?php endif; ?>
</div>

<?php echo wp_kses_post($after_widget);
