<?php

extract($args);

$title = apply_filters('widget_title', $instance['title']);

echo wp_kses_post($before_widget); ?>


<div class="question-widget">
    <?php echo wp_kses_post($before_title . $title . $after_title); ?>
    <ul class="question-list">
        <?php if ($instance['footer_phone_no2']) { ?>
        <li>
            <span class="icon fas fa-phone fa-fw"></span>
            <?php echo wp_kses_post($instance['footer_phone_title2']); ?>
            <a href="tel:<?php echo esc_attr($instance['footer_phone_no2']);?>"><?php echo wp_kses_post($instance['footer_phone_no2']); ?></a>
        </li>
        <?php } ?>
        <?php if ($instance['email_address2']) { ?>
        <li>
            <span class="icon fas fa-envelope fa-fw"></span>
            <?php echo wp_kses_post($instance['email_title2']); ?>
            <a href="mailto:<?php echo esc_attr($instance['email_address2']);?>"><?php echo wp_kses_post($instance['email_address2']); ?></a>
        </li>
        <?php } ?>
    </ul>
</div>

<?php

echo wp_kses_post($after_widget);
