<?php

$styles = [];

foreach(range(1, 28) as $val) {

    $styles[$val] = sprintf(esc_html__('Style %s', 'chartio'), $val);

}



return  array(

    'title'      => esc_html__( 'Color Scheme Setting', 'chartio' ),

    'id'         => 'color_scheme_setting',

    'desc'       => '',

    'fields'     => array(

        

		array(

            'id' => 'color_scheme_loader',

            'type' => 'switcher',

            'title' => esc_html__('Enable Color Scheme', 'chartio'),

            'default' => false,

        ),

		array(

			'id'       => 'main_color_scheme',

			'type'     => 'color',

			'title'    => esc_html__( 'Main Custom Color Scheme', 'chartio' ),

			'subtitle' => esc_html__( 'Choose the Custom color scheme for the theme', 'chartio' ),

			'dependency' => array( 'color_scheme_loader', '==', true ),

		),

		array(

			'id'       => 'secondary_color_scheme',

			'type'     => 'color',

			'title'    => esc_html__( 'Secondary Custom Color Scheme', 'chartio' ),

			'subtitle' => esc_html__( 'Choose the Custom color scheme for the theme', 'chartio' ),

			'dependency' => array( 'color_scheme_loader', '==', true ),

		),

		array(

            'id' => 'rtl_switcher',

            'type' => 'switcher',

            'title' => esc_html__('Enable RTL Support', 'chartio'),

            'default' => false,

        ),

		array(

            'id' => 'layout_switcher',

            'type' => 'switcher',

            'title' => esc_html__('Enable Layout Switcher', 'chartio'),

            'default' => false,

        ),

	),

);

