<?php
$styles = [];
foreach(range(1, 28) as $val) {
    $styles[$val] = sprintf(esc_html__('Style %s', 'chartio'), $val);
}
return  array(
    'title'      => esc_html__( 'General Setting', 'chartio' ),
    'id'         => 'general_setting',
    'desc'       => '',
    'icon'       => 'el el-wrench',
    'fields'     => array(
        array(
            'id' => 'theme_preloader',
            'type' => 'switcher',
            'title' => esc_html__('Enable Preloader', 'chartio'),
            'default' => false,
        ),
		array(
            'id' => 'courser_pointer',
            'type' => 'switcher',
            'title' => esc_html__('Enable Mouse Cursor', 'chartio'),
            'default' => false,
        ),
    ),
);
