<?php







return array(



	'title'      => esc_html__( 'Single Post Settings', 'chartio' ),



	'id'         => 'single_post_setting',



	'desc'       => '',



	'subsection' => true,



	'fields'     => array(



		array(



			'id'      => 'single_source_type',



			'type'    => 'button_set',



			'title'   => esc_html__( 'Single Post Source Type', 'chartio' ),



			'options' => array(



				'd' => esc_html__( 'Default', 'chartio' ),



				'e' => esc_html__( 'Elementor', 'chartio' ),



			),



			'default' => 'd',



		),



		array(



		    'id'       => 'single_elementor_template',



		    'type'     => 'select',



		    'title'    => __( 'Template', 'chartio' ),



		    'options'     => 'posts',



		    'query_args'     => [



			    'post_type' => [ 'elementor_library' ],



				'posts_per_page'=> -1,



		    ],



		    'dependency' => [ 'single_source_type', '==', 'e' ],



	    ),



		array(



			'id'       => 'single_default_st',



			'type'     => 'heading',



			'content'    => esc_html__( 'Post Default', 'chartio' ),



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'single_post_date',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Date', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show post publish date on posts detail page', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'single_post_author_box',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Author', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show author on posts detail page', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),







		array(



			'id'      => 'single_post_comments',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Comments', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show number of comments on posts single page', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'single_post_tag',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Tags', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show post tags on posts single page', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'facebook_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Facebook Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Facebook', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'twitter_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Twitter Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Twitter', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'linkedin_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Linkedin Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Linkedin', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'pinterest_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Pinterest Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Pinterest', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'reddit_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Reddit Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Reddit', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'tumblr_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Tumblr Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Tumblr', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



		array(



			'id'      => 'digg_sharing',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Digg Post Share', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show Post Share to Digg', 'chartio' ),



			'default' => false,



			'dependency' => array( 'single_source_type', '==', 'd' ),



		),



	),



);























