<?php get_header(); 
$data = \CHARTIO\Includes\Classes\Common::instance()->data( 'single-team' )->get(); 

?>

<!-- Page Title -->
<section class="page-title" style="background-image:url(<?php echo esc_url( $data->get( 'banner' ) ); ?>)">
    <div class="auto-container">
        <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( wp_title( '' ) ); ?></h1>
        <ul class="bread-crumb clearfix">
            <?php echo chartio_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php 
	while( have_posts() ) : the_post();
?>
<?php $chartio_team_meta = get_post_meta( get_the_ID(), 'chartio_meta_team', true );?>
<!-- team single start -->
<section class="team-single pt-120 pb-190">
    <div class="container">
        <div class="row align-items-end mt-none-30">
            <div class="col-lg-5 mt-30">
                <div class="team-single__img">
                    <?php the_post_thumbnail('chartio_371x418'); ?>
                </div>
            </div>
            <div class="col-lg-7 mt-30">
                <div class="team-single__info">                    
                    <?php $chartio_team_meta = get_post_meta( get_the_ID(), 'chartio_meta_team', true );?>
                    <span class="desig"><?php echo wp_kses($chartio_team_meta['designation'], true ); ?></span>
                    <?php the_content();?>
                    <ul class="team-single__info-list list-unstyled mb-30">
                        <?php 						
							foreach($chartio_team_meta['team_contact_info'] as $key => $chartio_set):                    
							$chartio_team_meta = get_post_meta(get_the_ID(), 'chartio_team_meta', true );											
						?>
                        <li><span><?php echo wp_kses( $chartio_set['team_contact_title'], true );?></span><?php echo wp_kses( $chartio_set['team_contact_detail'], true );?></li>
                        <?php endforeach; ?>                        
                    </ul>
                    <?php $chartio_team_meta = get_post_meta( get_the_ID(), 'chartio_meta_team', true );?>
                    <div class="team-single__social">                        
                        <h4><?php echo wp_kses($chartio_team_meta['team_social_titles'], true ); ?></h4>
                        <?php
                            $icons = $chartio_team_meta['social_profile'];
                            if ( ! empty( $icons ) ) :								
                        ?>
                        <!-- Socials Box -->
                        <div class="team-single__social-list ul_li">
                            <?php foreach ( $icons as $h_icon ) {
                
                                $icon_class = explode( '-', chartio_set( $h_icon, 'icon' ) ); 
                            ?>
                            <a href="<?php echo esc_url(chartio_set( $h_icon, 'url' )); ?>" <?php if( chartio_set( $h_icon, 'background' ) || chartio_set( $h_icon, 'color' ) ):?>style="background-color:<?php echo esc_attr(chartio_set( $h_icon, 'background' )); ?>; color: <?php echo esc_attr(chartio_set( $h_icon, 'color' )); ?>"<?php endif;?>><i class="fab <?php echo esc_attr( chartio_set( $h_icon, 'icon' ) ); ?>"></i></a>
                            <?php } ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <?php $chartio_team_meta = get_post_meta( get_the_ID(), 'chartio_meta_team', true );?>
        <div class="team-single__content mt-60 mb-60">
            <h2><?php echo wp_kses($chartio_team_meta['team_personal_info_title'], true ); ?></h2>
            <?php echo wp_kses($chartio_team_meta['team_personal_info_description'], true ); ?>
        </div>
                
    </div>
</section>

<?php endwhile; ?>

<?php get_footer(); ?>