(function($) {
	
	"use strict";
	var theme_carousel_js = function($scope, $) {
		
		if ($(".main-slider").length > 0) {
			var slider_attr = $('#yt-banner-slider').data('slider');
			var bannerSlider = new Swiper('.main-slider', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				// Navigation arrows
				navigation: {
					nextEl: '.main-slider-next',
					prevEl: '.main-slider-prev',
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		//Script V2
		if ($(".main-slider_two").length > 0) {
			var slider_attr = $('#yt-banner-slider-v2').data('slider');
			var bannerSlider = new Swiper('.main-slider_two', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				// Navigation arrows
				navigation: {
					nextEl: '.slider-two-button-next',
					prevEl: '.slider-two-button-prev',
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		//Script V3
		if ($(".main-slider_three").length > 0) {
			var slider_attr = $('#yt-banner-slider-v3').data('slider');
			var bannerSlider = new Swiper('.main-slider_three', {
				slidesPerView: slider_attr.slidesperview,
				spaceBetween: slider_attr.spacebetween,
				loop: slider_attr.loop,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.slider-three-button-next',
					prevEl: '.slider-three-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".main-slider_three-pagination",
					clickable: true,
					renderBullet: function (index, className) {
					  return '<span class="' + className + '">' + (index + 1) + "</span>";
					},
				  },
				speed: 500,
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
	};
	
	$(window).on('elementor/frontend/init', function () {
            elementorFrontend.hooks.addAction('frontend/element_ready/chartio_slider.default', theme_carousel_js);
    });	

})(window.jQuery);