(function($) {
	
	"use strict";
	var theme_carousel_js = function($scope, $) {
	
	if ($(".causes-carousel").length > 0) {
			var slider_attr = $('#yt-causes-slider').data('slider');
			var bannerSlider = new Swiper('.causes-carousel', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.cause-two-button-next',
					prevEl: '.cause-two-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 3,
					},
					'992': {
						slidesPerView: 2,
					},
					'768': {
						slidesPerView: 2,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		if ($(".causes-carousel_two").length > 0) {
			var slider_attr = $('#yt-causes-slider-v2').data('slider');
			var bannerSlider = new Swiper('.causes-carousel_two', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.cause-three-button-next',
					prevEl: '.cause-three-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		if ($(".causes-carousel_three").length > 0) {
			var slider_attr = $('#yt-causes-slider-v3').data('slider');
			var bannerSlider = new Swiper('.causes-carousel_three', {
				slidesPerView: slider_attr.slidesperview,
				spaceBetween: slider_attr.spacebetween,
				//centeredSlides: true,
				loop: slider_attr.loop,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.cause-five-button-next',
					prevEl: '.cause-five-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				speed: 500,				
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 3,
					},
					'992': {
						slidesPerView: 2,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		//Donate Carousel
		if ($(".donate-carousel").length > 0) {
			var slider_attr = $('#yt-causes-slider-v4').data('slider');
			var bannerSlider = new Swiper('.donate-carousel', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.swiper-button-next',
					prevEl: '.swiper-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 4,
					},
					'992': {
						slidesPerView: 4,
					},
					'768': {
						slidesPerView: 3,
					},
					'576': {
						slidesPerView: 2,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		// CTA Slider
		if ($(".cta-slider").length > 0) {
			var slider_attr = $('#yt-causes-slider-v5').data('slider');
			var bannerSlider = new Swiper('.cta-slider', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.cta-one-button-next',
					prevEl: '.cta-one-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 1,
					},
					'992': {
						slidesPerView: 1,
					},
					'768': {
						slidesPerView: 1,
					},
					'576': {
						slidesPerView: 1,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
	
	};
	
	$(window).on('elementor/frontend/init', function () {
            elementorFrontend.hooks.addAction('frontend/element_ready/chartio_causes_carousel.default', theme_carousel_js);
    });	

})(window.jQuery);