(function($) {
	
	"use strict";
	var theme_carousel_js = function($scope, $) {
	
	if ($(".clients_slider").length > 0) {
			var slider_attr = $('#yt-client-slider').data('slider');
			var bannerSlider = new Swiper('.clients_slider', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				// Navigation arrows
				navigation: {
					nextEl: '.swiper-button-next',
					prevEl: '.swiper-button-prev',
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 5,
					},
					'992': {
						slidesPerView: 4,
					},
					'768': {
						slidesPerView: 3,
					},
					'576': {
						slidesPerView: 2,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
		
		if ($(".clients_slider-two").length > 0) {
			var slider_attr = $('#yt-client-slider-v2').data('slider');
			var bannerSlider = new Swiper('.clients_slider-two', {
				loop: slider_attr.loop,
				slidesPerView: slider_attr.slidesperview,
				speed: 500,
				spaceBetween: slider_attr.spacebetween,
				autoplay: {
					enabled: true,
					delay: 6000
				},
				// Navigation arrows
				navigation: {
					nextEl: '.swiper-button-next',
					prevEl: '.swiper-button-prev',
					clickable: true,
				},
				//Pagination
				pagination: {
					el: ".swiper-pagination",
					clickable: true,
				},
				breakpoints: {
					'1600': {
						items:slider_attr.item_show
					},
					'1200': {
						slidesPerView: 4,
					},
					'992': {
						slidesPerView: 4,
					},
					'768': {
						slidesPerView: 3,
					},
					'576': {
						slidesPerView: 2,
					},
					'0': {
						slidesPerView: 1,
					},
				},
				
			});
		}
	
	};
	
	$(window).on('elementor/frontend/init', function () {
            elementorFrontend.hooks.addAction('frontend/element_ready/chartio_clients.default', theme_carousel_js);
    });	

})(window.jQuery);