<?php

// Set a unique slug-like ID
$prefix = 'chartio_meta_cause';

//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Causes Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'campaign' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );

//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'    => 'dimension',
			'type'  => 'select',
			'title' => esc_html__( 'Choose Dimensions', 'chartio-plugin' ),
			'options'  => array(
				'normal_size' => esc_html__( 'Normal Width', 'chartio' ),
				'extra_width' => esc_html__( 'Extra Width', 'chartio' ),
			),
			'default'  => 'normal_size',
		),
	)
));

