<?php

// Set a unique slug-like ID
$prefix = 'chartio_meta_event';

//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Event Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'tribe_events' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );

//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'    => 'event_info_heading',
			'type'  => 'text',
			'title' => esc_html__( 'Info Title', 'chartio-plugin' ),
		),
		array(
			'id'    => 'event_info_text',
			'type'  => 'textarea',
			'title' => esc_html__( 'Info Description', 'chartio-plugin' ),
		),
		array(
			'id'    => 'event_form_title',
			'type'  => 'text',
			'title' => esc_html__( 'Form Title', 'chartio-plugin' ),
		),
		array(
			'id'    => 'event_form_url',
			'type'  => 'text',
			'title' => esc_html__( 'Form Url', 'chartio-plugin' ),
		),
	)
));

