<?php

//
// Set a unique slug-like ID
$prefix = 'chartio_meta_service';

//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Service Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'service' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );

//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'       => 'service_icon',
			'type'     => 'select',
			'title'    => esc_html__( 'Service Icons', 'chartio' ),
			'options'  => get_fontawesome_icons(),
		),
		array(
			'id'    => 'ext_url',
			'type'  => 'text',
			'title' => esc_html__( 'Enter Read More Link', 'chartio-plugin' ),
		),
	)
));