<?php

// Control core classes for avoid errors


//
// Create a widget 1
//
CSF::createWidget('yt_question_widget', array(
    'title'       => esc_html__('YT Question Widget', 'chartio-plugin'),
    'classname'   => 'yt-question-widget',
    'description' => esc_html__('Show Question Widget', 'chartio-plugins'),
    'fields'      => array(
        array(
            'id'      => 'title',
            'type'    => 'text',
            'title'   => esc_html__('Title', 'chartio-plugin')
        ),
		array(
            'id'      => 'footer_phone_title2',
            'type'    => 'text',
            'title'   => esc_html__( 'Phone Title', 'chartio-plugin'),
        ),
		array(
            'id'      => 'footer_phone_no2',
            'type'    => 'text',
            'title'   => esc_html__( 'Phone Number', 'chartio-plugin'),
        ),
        array(
            'id'      => 'email_title2',
            'type'    => 'text',
            'title'   => esc_html__( 'Email Title', 'chartio-plugin'),
        ),
		array(
            'id'      => 'email_address2',
            'type'    => 'text',
            'title'   => esc_html__( 'Email Address', 'chartio-plugin'),
        ),			
	)
));

//
// Front-end display of widget example 1
// Attention: This function named considering above widget base id.
//
if ( ! function_exists('yt_question_widget') ) {
    function yt_question_widget($args, $instance) {

        include CHARTIOPLUGIN_PLUGIN_PATH . 'templates/widgets/question-widget.php';
    }
}
